Try ERPNext Buy Support Partners Foundation

Fresh install successful, Sorry! We will be back soon

Hello,

I previously was able to install and run ERPNext in VirtualBox but I decided to use an old computer as a server instead. It’s running Ubuntu 18.04 LTS and I was able to install ERPNext using the easy install script.

It was installed successfully but I can’t access the site with localhost:80. It brings me to the " Sorry! We will be back soon." page. I’ve been searching for hours and tried just about every solution that I could find but I’m not sure how to troubleshoot this.

I’m not getting errors in terminal so I’m lost…

Any help to point me in the right direction is appreciated.
Thanks!

@MikePoisson can you post the full error log?

Without much hints from your part, I would first check the status of nginx and supervisorctl …
I do suspect nginx to work since you have the page, we will be back soon, but you can try
service nginx status

Try to see if all process workers are running
sudo supervisorctl status

Finally, I would retry a
bench update

there you can check the errors you are getting.

Hello @MikePoisson,
I think your site went into Maintenance.
Try to remove it. If not, Please give us the error logs.

Thank you
www.LetsTechSoftwares.com

Most likely you have hit this problem:

ModuleNotFoundError: No module named ‘werkzeug.contrib’ (erpnext 12.4.3)

To check that you will need to run

tail -fn 500 ${HOME}/frappe-bench/logs/web.error.log

service nginx status

nginx.service - A high performance web server and a reverse proxy server
   Loaded: loaded (/lib/systemd/system/nginx.service; enabled; vendor preset: en
   Active: active (running) since Thu 2020-02-13 01:30:07 EST; 12h ago
     Docs: man:nginx(8)
  Process: 1356 ExecStart=/usr/sbin/nginx -g daemon on; master_process on; (code
  Process: 969 ExecStartPre=/usr/sbin/nginx -t -q -g daemon on; master_process o
 Main PID: 1357 (nginx)
    Tasks: 10 (limit: 4915)
   CGroup: /system.slice/nginx.service
           ├─1357 nginx: master process /usr/sbin/nginx -g daemon on; master_pro
           ├─1358 nginx: worker process
           ├─1359 nginx: worker process
           ├─1360 nginx: worker process
           ├─1361 nginx: worker process
           ├─1362 nginx: worker process
           ├─1363 nginx: worker process
           ├─1364 nginx: worker process
           ├─1365 nginx: worker process
           └─1366 nginx: cache manager process

Warning: Journal has been rotated since unit was started. Log output is incomple

sudo supervisorctl status

frappe-bench-redis:frappe-bench-redis-cache                 RUNNING   pid 1491, uptime 12:30:19
frappe-bench-redis:frappe-bench-redis-queue                 RUNNING   pid 1490, uptime 12:30:19
frappe-bench-redis:frappe-bench-redis-socketio              RUNNING   pid 1492, uptime 12:30:19
frappe-bench-web:frappe-bench-frappe-web                    FATAL     Exited too quickly (process log may have details)
frappe-bench-web:frappe-bench-node-socketio                 RUNNING   pid 26325, uptime 0:15:25
frappe-bench-workers:frappe-bench-frappe-default-worker-0   RUNNING   pid 26297, uptime 0:15:26
frappe-bench-workers:frappe-bench-frappe-long-worker-0      RUNNING   pid 26298, uptime 0:15:26
frappe-bench-workers:frappe-bench-frappe-schedule           RUNNING   pid 26296, uptime 0:15:26
frappe-bench-workers:frappe-bench-frappe-short-worker-0     RUNNING   pid 26299, uptime 0:15:26

And

Traceback (most recent call last):
  File "/home/erpnext/frappe-bench/env/bin/gunicorn", line 8, in <module>
sys.exit(run())
  File "/home/erpnext/frappe-bench/env/lib/python3.6/site-packages/gunicorn/app/wsgiapp.py", line 58, in run
WSGIApplication("%(prog)s [OPTIONS] [APP_MODULE]").run()
  File "/home/erpnext/frappe-bench/env/lib/python3.6/site-packages/gunicorn/app/base.py", line 228, in run
super().run()
  File "/home/erpnext/frappe-bench/env/lib/python3.6/site-packages/gunicorn/app/base.py", line 72, in run
Arbiter(self).run()
  File "/home/erpnext/frappe-bench/env/lib/python3.6/site-packages/gunicorn/arbiter.py", line 58, in __init__
self.setup(app)
  File "/home/erpnext/frappe-bench/env/lib/python3.6/site-packages/gunicorn/arbiter.py", line 118, in setup
self.app.wsgi()
  File "/home/erpnext/frappe-bench/env/lib/python3.6/site-packages/gunicorn/app/base.py", line 67, in wsgi
self.callable = self.load()
  File "/home/erpnext/frappe-bench/env/lib/python3.6/site-packages/gunicorn/app/wsgiapp.py", line 49, in load
return self.load_wsgiapp()
  File "/home/erpnext/frappe-bench/env/lib/python3.6/site-packages/gunicorn/app/wsgiapp.py", line 39, in load_wsgiapp
return util.import_app(self.app_uri)
  File "/home/erpnext/frappe-bench/env/lib/python3.6/site-packages/gunicorn/util.py", line 358, in import_app
mod = importlib.import_module(module)
  File "/home/erpnext/frappe-bench/env/lib/python3.6/importlib/__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/home/erpnext/frappe-bench/apps/frappe/frappe/app.py", line 13, in <module>
from werkzeug.contrib.profiler import ProfilerMiddleware
ModuleNotFoundError: No module named 'werkzeug.contrib'

I tried this and got :

Requirement already satisfied: werkzeug==0.16.0 in ./env/lib/python3.6/site-packages (0.16.0)

Alright,

Apparently I changed the site folder name at some point and while looking into nginx.conf I noticed the old site name. I renamed the folder to to the old name and it works now. I’m pretty sure that the issue was the werkzeug module missing but I tried so many things that I messed up other stuff.

So much time wasted on this…

Anyway, thanks everyone for your help!
Mike

Glad to help

Sir @MikePoisson sir can you please share the installation method you use cant install v12 using easy install at ubuntu 18.04

Thank You

@sinichi19
I’m not sure if you’re asking for help or if you’re telling me I wasn’t supposed to be able to install v12 with easy install. In both cases, I’m not sure what I did anymore, I’m new to linux and I mess up the simplest tasks.

I wish I could help you but I just don’t have the skills.

Wow you so lucky to install not encountered any problem using easy install
dont know why why my installation not working i only use the official installation guide and here at discuss but still no luck to install hehhe

requesting for your help to share the preparation you use before install eprnext to check if I missed some script to run 1st before i use the easy install script

thank you

i used this guide and already installed